=== debian/changelog ===
owncloud-client-desktop-shell-integration-dolphin (5.0.0-2) unstable; urgency=medium

  * d/copyright: Fix GPL-2 to GPL-2+

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 08 Mar 2024 18:33:00 +0100

owncloud-client-desktop-shell-integration-dolphin (5.0.0-1) unstable; urgency=medium

  * Initial package (Closes: #1064355)

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Feb 2024 16:35:50 +0100
