=== debian/control ===
Source: owncloud-client-desktop-shell-integration-dolphin
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5kio-dev,
               qtbase5-dev
Vcs-Git: https://salsa.debian.org/owncloud-team/owncloud-client-desktop-shell-integration-dolphin.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/owncloud-client-desktop-shell-integration-dolphin
Standards-Version: 4.6.2
Homepage: https://github.com/owncloud/client-desktop-shell-integration-dolphin

Package: dolphin-owncloud
Architecture: any
Multi-Arch: same
Section: kde
Depends: dolphin,
         owncloud-client,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: dolphin
Description: ownCloud integration for Dolphin
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin ownCloud is an extension that integrates the ownCloud web service with
 your Plasma Desktop (KDE).
