=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/owncloud/client-desktop-shell-integration-dolphin/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:client-desktop-shell-integration-dolphin)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
